@import "../theme";

@myhordes-badge-color: rgb(77, 80, 97);
div.tooltip.badge-tooltip {
    background: @myhordes-badge-color; outline: 1px solid darken(@myhordes-badge-color, 20%); border: 2px solid lighten(@myhordes-badge-color, 20%);
    color: white;
    &>b { display: block; font-size: 1.2em; border-bottom: 1px solid wheat; color: wheat; margin-bottom: 3px; }
}

.personal_desc {
  color: #f0d79e; background: url("../../img/icons/small_rp.gif") no-repeat 4px 1px, #996739; padding: 1px 1px 3px 25px; font-style: italic;
  font-size: 0.8em;
  &>div:first-child {
    margin-bottom: 5px; color: #ddab76; border-bottom: 2px solid #ddab76; text-transform: lowercase; font-variant: small-caps; font-weight: bold;
    font-weight: bold;
  }
  &>div:last-child>p, &>div:last-child { display: inline; margin: 0; word-wrap: break-word; }
}

.userSearchWrapper {
  .userSearchInputContainer {
    position: relative;

    .userSearchLoadIndicator {
      position: absolute; color: #000000; opacity: 0.5;
      right: 5px; top: 2px;
    }
  }

  .userSearchResultsContainer {
    position: relative; overflow: visible;
    &>div {
      position: absolute; margin: 0; display: block; background: @myhordes-cell-header-background-color;
      width: 100%; overflow: auto; z-index: 1; border: 1px solid @myhordes-smalltext;
      outline: 1px solid black; box-shadow: 0 0 3px black;
      &:empty { display: none; }

      .users-list-entry, .users-list-group-entry {
        cursor: pointer; overflow: hidden;
        &:hover { background: rgba(255,255,255,0.2); }
        &>div.a-large {
          img { max-width: 30px; }
          display: none
        }
        &>span { text-overflow: ellipsis; cursor: pointer; font-size: .8em; font-variant: unset; text-transform: none; }
        .avatar, .avatarcrow { line-height: 0 }
      }

      .users-list-entry {
        display: flex; column-gap: 10px; align-items: center;
        &>span { flex-grow: 1 }
        &>div { flex-basis: min-content; flex-grow: 0 }
      }

      .users-list-group-entry {
        padding: 4px;
        &>span>span:not(:last-child):after { content: ", " }
      }
    }
    &.compact>div {
      .a-large { display: block !important; }
      .a-small { display: none }
    }
  }
}



#users-list-soul, #pm-users-list-container, #pm-add-users-list-container, #town-add-users-list-container, .add-users-list-container {
    position: relative; overflow: visible;
    #users-list, #pm-users-list, #pm-add-users-list, #town-add-users-list, .add-users-list {
        position: absolute; margin: 0; display: block; background: @myhordes-cell-header-background-color;
        width:300px; max-height: 200px; overflow: auto; z-index: 1; border: 1px solid @myhordes-smalltext;
        outline: 1px solid black; box-shadow: 0 0 3px black;
        &:empty { visibility: hidden; }

        .users-list-entry {
            margin-bottom: 4px; margin-right: 4px; cursor: pointer;
            &:hover { background: rgba(255,255,255,0.2); }
            div { text-overflow: ellipsis; cursor: pointer; font-size: .8em; font-variant: unset; text-transform: none; }
        }
    }

    input#users-search:not(.block) { width: 20rem; display: inline; }
}

.soul {

    .me {
        margin-top: -21px; // Cancel tabs margin-bottom for soul page
    }

    .header:not(.row):not(.row-flex) {
        padding: 9px 4px 10px 8px !important;
    }

    .skills {
        .bar {
            max-width: 614px; height: 32px; margin: 10px auto 0; padding-left: 3px; padding-right: 3px;

            .progresstext {
                background: url('../../img/soul/heroUp_front.gif') round;
                max-width: 614px; height: 32px; line-height: 32px; z-index: 2; position: relative;
                color: #f0d79e; text-shadow: -1px -1px 0 #000, 1px -1px 0 #000, -1px 1px 0 #000, 1px 1px 0 #000;
                .text { visibility: hidden; }
            }

            .progressbar {
                background: url('../../img/soul/heroUp_bg.gif') round;
                max-width: 614px; height: 30px; overflow: hidden; padding-left: 25px; padding-right: 5px; margin-top: -31px;
                img { height: 32px; }
            }
        }

        .heroProgress {
            color: #f0d79e; background-color: #4d5537; border: 1px solid #ddab76; outline: 2px solid #5c2b20;
            text-align: center; margin-top: 4px; font-size: 1.2rem;
            strong { display: block; font-size: 2rem; color: white; }
        }

        .skillBack {
            padding-bottom: 10px; margin-bottom: 10px; border-bottom: 1px dashed #ddab76;
            label { max-width: 250px; }
        }
    }

    .distinctions {
        width: 270px; max-width: 100%; background: url("../../img/soul/rewardsBg_header.gif") top/100% no-repeat, url("../../img/soul/rewardsBg_back.gif") top/100% repeat-y;
        padding-bottom: 0 !important; margin-left: 3px; display: inline-block;

        .distinctions-head {
            padding-top: 45px; color: #f0d79e; font-variant: small-caps; font-weight: bold; font-size: 2rem;
        }

        .distinctions-points { color: #FF8866; font-size: 2.4rem; margin-top: 5px; }

        .distinctions-top {

          display: flex; justify-content: space-evenly; column-gap: 4px; align-items: stretch;
          margin: 10px 6px; flex-wrap: wrap; row-gap: 12px;

            .picto {
                border: 1px solid white;
                border-radius: 3px;
                display: inline-block;
                box-shadow: 0 2px 4px rgba(0,0,0,0.5);
                padding: 5px;

                .counter-wrapper {
                    position: absolute;
                    width: 65px;
                    height: 13px;
                    display: block;
                    margin-top: -13px;
                    font-size: 0;
                    line-height: 0;
                    .counter {
                        background-color: #3d2016 !important;
                        border: 1px solid white;
                        display: inline-block;
                        padding: 2px 4px;
                        .count {
                            background: url("../../fonts/fontBitmap.png") no-repeat; line-height: 0; font-size: 0; width: 5px; height: 8px; display: inline-block;
                            .pictoBitmapFont(@o:0px;@m:9;@i:0) when (@i = 1) { &[num="@{i}"]{ background-position: -@o 0;} .pictoBitmapFont(@o+4,@m,@i+1); }
                            .pictoBitmapFont(@o:0px;@m:9;@i:0) when (@i <= @m) and not (@i = 1) { &[num="@{i}"]{ background-position: -@o 0;} .pictoBitmapFont(@o+5,@m,@i+1); }
                            .pictoBitmapFont();
                        }
                    }
                }

                .infos {
                    width: 65px;
                    margin-bottom: 5px;
                }

                .label {
                    font-size: 1rem;
                    font-weight: bold;
                    text-align: center;
                }

                &.rare {
                    border-color: #FFE96C;
                    border-bottom-color: #FFFFB9;
                    box-shadow: inset 0px 0px 4px #fe7d00, 0px 0px 4px #fe7d00, 0px 2px 4px #1d2028;

                    .counter {
                        border-color: #FFE653;
                    }

                    .label {
                        color: #feb500;
                    }
                }
            }
        }

        .distinctions-list {
            padding: 0 10px; min-height: 100px;

            .empty {
                border: 1px dashed #823D2D; color: #FF8866; padding: 10px; font-size: 1.2rem; font-style: italic;
                margin-top: 10px;
            }

            .picto { display: inline-block; width: 32px; height: 32px; font-size: 1rem; padding-top: 3px; position: relative; }
            .rare { background: url("../../img/pictos/rewardBg_rare.gif") no-repeat; }
            .not-persisted { outline: 1px solid red; }
            .persisted { outline: 1px solid green; }
            .counter {
                margin-top: -9.8px; position: absolute; bottom: 5px; left: 0; right: 0; font-size: 0; line-height: 0;
                .count {
                    background: url("../../fonts/fontBitmap.png") no-repeat; line-height: 0; font-size: 0; width: 5px; height: 8px; display: inline-block;
                    .pictoBitmapFont(@o:0px;@m:9;@i:0) when (@i = 1) { &[num="@{i}"]{ background-position: -@o 0;} .pictoBitmapFont(@o+4,@m,@i+1); }
                    .pictoBitmapFont(@o:0px;@m:9;@i:0) when (@i <= @m) and not (@i = 1) { &[num="@{i}"]{ background-position: -@o 0;} .pictoBitmapFont(@o+5,@m,@i+1); }
                    .pictoBitmapFont();
                }
            }
            .tabs {
                border-bottom: 1px solid #633424; min-height: 14px; background: none;
                .tab-soul-distinctions {
                  display: inline-block; padding: 2px 4px; margin-left: 2px; text-align: center; font-size: 8pt;
                  line-height: 1.2em; font-weight: bold; text-transform: uppercase; text-decoration: underline;
                  color: #f58766; cursor: pointer;
                  &:hover { color: #f0d79e; }

                  &.selected {
                    border: 1px solid #633424; border-bottom: 0; box-shadow: inset 0 1px 2px rgb(0,0,0,0.5);
                    color: #ddab76; cursor: default;
                    &:hover { color: #DDAB76; background-color: #3d2016; }
                  }

                }
            }
            .title-list {
              text-decoration: none; color: white; list-style: none; text-align: initial; font-variant: small-caps;
              font-size: 75%; max-height: 500px; overflow-y: auto; overflow-x: hidden;
                li {
                    border-bottom: 1px dashed #633424; cursor: default;
                    &.chapter {
                      font-weight: bold; color: #f58766;
                      &:not(:first-child) { margin-top: 10px; }
                    }
                    &:not(.chapter) {list-style: url("../../img/icons/small_middot.gif"); margin-left: 20px;}
                }
            }
        }

        .distinctions-foot {
            background: url("../../img/soul/rewardsBg_footer.gif") bottom/100% no-repeat; height: 44px;
            margin-top: -22px;
        }
    }

    .friend {
      width: auto; height: 203px; position: relative; font-size: 0; background: url("../../img/soul/refererHeart.png") no-repeat center top;
      background-size: contain; margin-top: -1px;
    }

    .night {
        width: auto; height: 230px; position: relative; font-size: 0; background: url("../../img/soul/soul_night.jpg") no-repeat right top;
        background-size: cover; margin-top: -1px;

        &>.badge-title {
          font-size: 1.2rem; margin-top: 24px; backdrop-filter: blur(3px); -webkit-backdrop-filter: blur(3px);
          background: fade(@myhordes-badge-color,60%); outline: 1px solid lighten(@myhordes-badge-color,10%);
          padding: 3px 24px; display: inline-block; box-shadow: 0 0 5px rgba(0,0,0,0.9); text-shadow: 0 0 5px black;
          font-weight: bold;
          &>img { margin-right: 8px; }
          &>span {vertical-align: middle; }
        }

        &>.badge {
            top: 30px;
            width: 64px; height: 64px; padding: 0; margin: 10px; display: inline-block; border: 1px solid @myhordes-badge-color;
            background: fade(@myhordes-badge-color,60%); box-shadow: 0 0 5px rgba(0,0,0,0.9); position: relative;
            backdrop-filter: blur(3px); -webkit-backdrop-filter: blur(3px);
            &>div:first-child {
                height: 48px; width: 48px; position: absolute; top: 8px; left: 8px;
                transition: outline-color 0.5s ease-in-out, background-color 0.5s ease-in-out;
                background: @myhordes-badge-color; outline: 1px solid lighten(@myhordes-badge-color,10%); font-size: 32px;
                &>i.fa,svg { margin-top: 8px; }
            }

            &.badge-admin-master>div:first-child { color: #e1ad00; }
            &.badge-admin:hover>div:first-child, &.badge-admin-master:hover>div:first-child { background: #006495; outline-color: #007cb9; }
            &.badge-crow:hover>div:first-child { background: #950000; outline-color: #b90000; }
            &.badge-twinoid>div:first-child:before { content: " "; position: absolute; top: 4px; left: 4px; bottom: 4px; right: 4px; background: url(../../img/badges/twinoid.png) center/contain no-repeat; }
            &.badge-eternal>div:first-child:before { content: " "; position: absolute; top: 4px; left: 4px; bottom: 4px; right: 4px; background: url(../../img/badges/eternal.png) center/contain no-repeat; }
        }
    }

    .score, .current {
        margin-top: 6px; margin-bottom: 10px; padding: 3px; font-weight: bold; background-color: #5c2b20;
        border: 1px solid #ddab76; font-size: 1.2rem;
        strong { color: #f0d79e; }
    }

    .score {
        color: #ddab76; font-variant: small-caps;
        strong { font-size: 1.4rem; }
    }

    .current {
        color: #f0d79e;
        em { color: #ddab76; font-style: normal; font-size: 1rem; }
        strong { color: #f0d79e; font-variant: small-caps; }
    }

    .town-history .header { font-size: 8pt; }
    .skills-history > .header, .season-ranking > .header { font-size: 10pt; }

    .town-history,
    .skills-history,
    .season-ranking{
        .header {
            font-weight: bold;
            font-family: "Trebuchet MS", "Arial",Verdana, sans-serif;
            padding-bottom: 0 !important;
            color: white;
            border-bottom: 2px solid #f0d79e;
            background: linear-gradient(to top, #643b25 0%, rgba(100, 59, 37, 0) 50%, rgba(100, 59, 37, 0) 100%);
        }

        .type-list {
            list-style-type: none;
            margin: 0;
            padding: 0;
            background: #2c0e00;
            font-size: 1rem;
            border-bottom: 1px solid #ddab76;
            li {
                display: inline-block;
                font-variant: small-caps;
                padding: 0 3px;
                margin: 0 0 3px 2px;
                background-color: #7e4d2a;
                border: 1px solid #ddab76;
                &.selected {
                    .link { color: white };
                    background-color: #5c2b20;
                    border-color: white;
                }
            }
        }

        .town-container,
        .skills-container {
            background-color: #5c2b20;
            .row-flex:nth-child(odd) {
                background-color: #663024;
            }

            .row-flex:nth-child(even) {
                background-color: #5c2b20;
            }

            .row-flex.played {
                background-color: #3b3249;
            }

            .row-flex.hardcore {
                background-color:#773939;
            }

            .row-flex.custom {
                background-color:#3b3249;
            }

            .row-flex.common {
                background-color: #0A3019;
            }

            .row-flex.event {
              background-color: @myhordes-green-color;
            }
            border-bottom: 1px solid #ddab76;

            .town-name {
                font-size: 1.2rem;
                border-left: 1px solid #7e4d2a; border-right: 1px solid #7e4d2a; border-bottom: 1px solid #7e4d2a;
                .comment {
                    color: #ddab76; font-size: 1.1rem; word-break: break-word;
                    .add-comment { text-decoration: underline; }
                    &:not(.read-only):hover { color: white; }
                }
            }

            .season { border-bottom: 1px solid #7e4d2a; }

            .town-days { color: #f0d79e; border-right: 1px solid #7e4d2a; border-bottom: 1px solid #7e4d2a; }
            .town-points { color: #afacc1; border-bottom: 1px solid #7e4d2a; }

            .empty {
                font-size: 1.2rem; margin-top: 5px; padding: 5px; font-variant: small-caps;
                color: #f86; font-weight: bold;
            }

            .hardcore {
                .town-name, .town-days { color: #f86; }
            }

            &.skills-container {
                .skillRow { border-bottom: 1px solid #7e4d2a; }
                .desc { font-size: 9pt; color: #f0d79e; min-height: 34px; border-left: 1px solid #7e4d2a; }
                .currentSkill {
                    background: #3b3249;
                    .desc { font-style: italic; }
                }
            }
        }
    }

    .rp-list {
        .rp-head {
            .rp-context { margin-top: 10px; }
            h5 { color: white; }
        }
        .rp-row {
            font-size: 1.3rem; background: #5c2b20; border-right: 1px solid #7e4d2a; border-bottom: 1px solid #7e4d2a;
            cursor: pointer; text-decoration: underline;
            &:hover { color: lighten(@myhordes-smalltext, 20%); background: #965C36; }
                
            .rp-text {
                .title { color: #f0d79e; }
                em { font-size: 1.2rem; color: @myhordes-smalltext; }
            }
            &.new {
                font-weight: bold;
                .title {
                    color: white;
                }
            }
        }
    }

    .view-town {
        .citizens-list {
            font-size: 1.2rem;
            .header { font-size: 1.4rem }
            .town-points { color: #afacc1; font-size: 2rem; }
            .me {
                margin-top: 0;
            }
        }
    }

    .language-picker {
        display: inline-flex; justify-content: space-between; gap: 12px;
        &>* {
          display: inline-flex; padding: 4px; align-items: center; gap: 1px;
          &>input { flex-shrink: 0; flex-grow: 0; margin: 0; padding: 0 }
        }
    }

    ul.group-conversation.announcement {
      padding: 0;
      &>li {
        list-style: none; margin: 20px; box-shadow: 0 0 5px rgba(0, 0, 0, 0.2);
        background: #5c2b20; padding: 10px; border: 1px solid #704328;
        h1 { color: @myhordes-smalltext; margin: 0 0 5px 0; padding: 0 0 5px 0; border-bottom: 1px solid rgba(0,0,0,0.2); }
        &>p:only-child { margin: 5px 0 10px 0; font-size: 1.5rem; }
        .pm-message-footer {
          padding: 5px 0; border-top: 1px solid rgba(0,0,0,0.2); color: @myhordes-smalltext;
          .pm-avatar { display: none }
          .pm-announcement-sender { font-weight: bold }
          .pm-announcement-date { opacity: 0.7; }
        }
      }
    }

    .pm-endless-more {
      text-align: center; color: @myhordes-smalltext; margin: 10px 5px; padding: 2px 0; cursor: pointer;
      border-top: 1px solid fade(@myhordes-smalltext, 50%); border-bottom: 1px solid fade(@myhordes-smalltext, 50%);
    }

    .news {
        margin: 0 15px;
        .head {
            background: url('../../img/underDevBanner.gif') center/contain no-repeat;
            width: 100%; max-width: 625px; aspect-ratio: 625/181; position: relative; margin: 0 auto;

            .title { padding-top: 150px; }

        }

        .title {
          text-transform: uppercase; color: #fff595; font-weight: bold; font-size: 2rem;
          display: flex; align-items: center; column-gap: 4px; justify-content: center;
          img { flex: 0; }
          span { flex-shrink: 1; flex-grow: 0 }
          &.old { color: #f1c872; }
        }

        .version {
            text-align: center; color: #ddab76; font-weight: bold; font-size: 1.2rem; text-transform: uppercase;
            margin-bottom: 10px;
        }

        .version-list {
            padding: 5px 5px 5px 10px; margin-bottom: 20px; background-color: #5c2b20; font-size: 1rem; color: #f0d79e;
            p { margin: 0; }
        }

        .forum-post {
          background: #5c2b20; padding: 10px 0 0 10px; border: 1px solid #704328;
        }
        .content {
            padding: 5px 5px 5px 110px; background: url('../../img/help/pipWelcome.gif') no-repeat #5c2b20;
            color: #ddab76; margin-bottom: 10px; border: none; min-height: 160px;
            &>p:only-child {margin: 0}
        }
    }

    .seasonHeader {
        background: url(../../img/rankingSeasons.png) top center;
        height: 134px;
        .seasonName,
        .seasonNumber {
            position: absolute;
            display: block;
            width: 100%;
            text-align: center;
            font-weight: bold;
        }

        .seasonNumber {
            color: black;
            font-size: 1.5rem;
            margin-top: 80px;
            .number {
                font-size: 2rem;
            }
        }
        .seasonName {
            margin-top: 50px;
            font-variant: small-caps;
            color: #dbc9ae;
        }
    }
}

.importSoulBanner {
    background: url(../../img/professions/select/pipWelcome.gif) left 2px bottom 40px no-repeat, #5c2b20;
    padding: 2px 4px 2px 102px; border: 1px solid #ddab76; outline: 1px solid black;
    &>p { text-align: justify; color: #ddab76 }
    &>h4 { margin-left: -100px; text-align: center; color: #ddab76; }
}

.eternalMergeBanner {
    background: #5c2b20;
    padding: 4px; border: 1px solid #ddab76; outline: 1px solid black;
    text-align: justify; color: #ddab76;
}

ul.coa-users {
    padding: 0; margin: 4px 0 8px;
    >li {
        margin: 1px 0; padding: 5px 0; border-bottom: 1px dashed #ddab76; list-style: none;
        font-size: 0.8em; line-height: 0.9em;
        &.my-entry { background: #3b3249 }
        & span { font-size: 0.7em; i { color: #ddab76 } }
        & br { 
            content: "";
            display: block;
            margin-bottom: 0.3em;
        }
    }
}

.season_access_text {
  margin-top: 20px;
  margin-left: 8px;
  font-size: 85%;
}

.season_access_select {
  margin-left: 10px;
}

.citizen-list {
  margin: 0; padding: 0;
  &>li {
    font-size: 1.2rem; font-weight: bold;
    &>img {vertical-align: middle;}
  }
}

.season_entry_td { border-right: 1px solid #7e4d2a; border-bottom: 1px solid #7e4d2a; }

.season_entry_container { border-bottom: 1px solid #7e4d2a; }

.season_entry_solo.top5 { max-height: 25px; }
.season_entry_solo.top5plus { max-height: 18px; }

.soul_season_flag { overflow-y: hidden; overflow-x: hidden;}

.soul_season_name { padding-left: 5px; }
.season_entry_solo { font-size: 80%; }

.top5 {
  &>.soul_season_flag > img { width: 32px; height: 25px; }
  &>.soul_season_name { font-size: 120%; }
  &>.soul_season_points {
    font-size: 150%; /* on hordes, normal is 10pt and major 14pt */
  }
}

.top5plus > .soul_season_flag > img {
  width: 23px; height: 18px;
}

.soul_season_link {
  text-decoration: none !important;
  font-size: 120%; padding-top: 5px; color: #ddab76; font-weight: bold;
}

div.death-desc {
    border-right: 1px solid @myhordes-smalltext;
    padding-right: 5px;
}

div#user-tooltip {
    position: absolute;
    z-index: 9999;
    background-color: #5c2b20;
    background-image: none;
    border: 1px solid #ddab76;
    padding: 10px;
    width: 230px;
    color: #1d2028;
    border-radius: 4px;
    font-size: 1rem;
    span.link {
        display: block;
        color: #ddab76;
        padding: 1px 10px;
        margin: 0 -10px;
        text-decoration: none;
        font-weight: normal;
        &:hover {
            background-color: #79432b;
        }
    }

    a[x-action="block_user"], a[x-action="unblock_user"], a[x-action="report_user"]{
        font-size: 0.9rem; display: block;
    }

    div.link-blocks {
        margin-top: 10px;
        text-align: center;
        .link-block {
            background-color: #79432b;
            color: #f0d79e;
            margin: 0 1px 1px 0;
            padding: 5px 0;
            width: 65px;
            height: 50px;
            text-align: center;
            display: inline-block;
            font-size: 1rem;
            line-height: 1.4rem;
            overflow: hidden;
            font-weight: bold;
            border-radius: 2px;
            text-decoration: none;
            &:hover {
                background-color: #996739;
                color: white;
                cursor: pointer;
            }

            img {
                width: 16px;
                height: 16px;
            }
            &.empty {
                border: 1px dashed #ddab76;
                background: none;
            }
        }
    }

    .avatar,.avatarcrow {
        img {
            max-width: 50px !important;
        }
        .no-avatar {
            background: #65382e;
            cursor: default;
            overflow: hidden;
            height: 50px;
            width: 50px;
            display: block;
            color: white;
            font-size: 25px;
            line-height: 50px;
        }
    }

    div.user-infos {
        color: #f0d79e;
        img {
            height: 16px;
        }
    }

    div.userDesc {
        &::before {
            margin-top: -9px;
            left: 32px;
            width: 0;
            height: 0;
            border-left: 5px solid transparent;
            border-right: 5px solid transparent;
            border-bottom: 5px solid #79432b;
            display: inline-block;
            content:" ";
            position: absolute;
        }
        margin-top: 10px;
        font-weight: normal;
        border-radius: 4px;
        background-color: #79432b;
        color: #ddab76;
        padding: 5px;
        word-break: break-word;
    }
    div.friend-relation {
        color: white;
        padding: 0 8px;
        font-weight: normal;
        &.not-friend {
            background-color: #5C0000;
            border: 1px solid #ddab76;
        }
        &.using-alias {
          background-color: #5c0045;
          border: 1px solid #ddab76;
        }
    }

    .row:hover {
        outline: none !important;
    }
}

.user-flag {
  display: inline-block; width: 36px; height: 28px;
  position: relative;
  &.small { width: 24px; height: 19px }
  &>img:first-child { width: 27px; height: 19px; position: absolute; left: 4px; top: 4px; }
  &.small>img:first-child { width: 20px; height: 16px; left: 2px; top: 1px; }

  &:after { content: " "; position: absolute; top: 0; left: 0; right: 0; bottom: 0; background: url("../../img/lang/mask.png") center/cover no-repeat }
}